Payment succeeded sample
curl --request GET \
--url https://api.kajabi.com/v1/hooks/payment_succeeded_sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/hooks/payment_succeeded_sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/hooks/payment_succeeded_sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kajabi.com/v1/hooks/payment_succeeded_sample",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kajabi.com/v1/hooks/payment_succeeded_sample"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kajabi.com/v1/hooks/payment_succeeded_sample")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kajabi.com/v1/hooks/payment_succeeded_sample")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"type": "transactions",
"attributes": {
"action": "<string>",
"state": "<string>",
"payment_type": "<string>",
"amount_in_cents": 123,
"sales_tax_in_cents": 123,
"currency": "<string>",
"currency_symbol": "<string>",
"formatted_amount": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"customer": {
"data": {
"id": "<string>",
"type": "customers"
}
},
"offer": {
"data": {
"id": "<string>",
"type": "offers"
}
}
}
}
]{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Webhooks
Payment succeeded sample
Returns sample webhook payload for the payment_succeeded event:
[
{
"id": "0",
"type": "transactions",
"attributes": {
"action": "charge",
"state": "succeeded",
"payment_type": "charge",
"amount_in_cents": 1000,
"sales_tax_in_cents": 0,
"currency": "USD",
"currency_symbol": "$",
"formatted_amount": "$10.00",
"created_at": "2025-07-31T17:10:19.285Z"
},
"relationships": {
"customer": {
"data": {
"id": "0",
"type": "customers"
}
},
"offer": {
"data": null
}
}
},
{
"id": "0",
"type": "customers",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com",
"avatar": null,
"external_user_id": null,
"public_bio": null,
"public_location": null,
"public_website": null,
"socials": null,
"net_revenue": "0.0",
"sign_in_count": 0,
"last_request_at": null,
"bounced_at": null,
"created_at": "2025-07-31T17:10:19.243Z",
"updated_at": "2025-07-31T17:10:19.243Z"
},
"links": {
"contact": "https://www.kajabi.test/api/v1/contacts/0"
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
},
"contact": {
"data": {
"id": "0",
"type": "contacts"
}
},
"offers": {
"data": [],
"links": {
"self": "https://www.kajabi.test/api/v1/customers/0/relationships/offers"
}
},
"products": {
"data": []
}
}
}
]
Actual Payloads
The actual payloads are sent to the target_url as a POST request with the following JSON body:
{
"id": "hash_id",
"event": "payment_succeeded",
"payload": [],
}
The payload array is the sample response above
GET
/
v1
/
hooks
/
payment_succeeded_sample
Payment succeeded sample
curl --request GET \
--url https://api.kajabi.com/v1/hooks/payment_succeeded_sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/hooks/payment_succeeded_sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/hooks/payment_succeeded_sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kajabi.com/v1/hooks/payment_succeeded_sample",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kajabi.com/v1/hooks/payment_succeeded_sample"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kajabi.com/v1/hooks/payment_succeeded_sample")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kajabi.com/v1/hooks/payment_succeeded_sample")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"type": "transactions",
"attributes": {
"action": "<string>",
"state": "<string>",
"payment_type": "<string>",
"amount_in_cents": 123,
"sales_tax_in_cents": 123,
"currency": "<string>",
"currency_symbol": "<string>",
"formatted_amount": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"customer": {
"data": {
"id": "<string>",
"type": "customers"
}
},
"offer": {
"data": {
"id": "<string>",
"type": "offers"
}
}
}
}
]{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?